Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'm running Kloxo at the moment and have updated phpMyAdmin to the latest version as well as php and mysql, however, phpMyAdmin seems to complain about mbstring not being installed, eventhough it is. What is wrong here and how do I fix it?

The error fromm phpMyAdmin (version 3.4.10)
The mbstring PHP extension was not found and you seem to be using a multibyte charset. Without the mbstring extension phpMyAdmin is unable to split strings correctly and it may result in unexpected results.

php-mbstring is installed.

[root@237266 modules]# yum list installed | grep mbstring
php-mbstring.i386                             5.4.5-1.el5.remi         installed

And it is indeed the same version as PHP

[root@237266 modules]# yum list installed | grep php.i386
php.i386                                      5.4.5-1.el5.remi         installed
[root@237266 modules]# php -v
PHP 5.4.5 (cli) (built: Jul 20 2012 09:52:56)
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2012 Zend Technologies
    with the ionCube PHP Loader v4.2.2, Copyright (c) 2002-2012, by ionCube Ltd., and
    with Xdebug v2.2.1, Copyright (c) 2002-2012, by Derick Rethans
share|improve this question

1 Answer 1

up vote 1 down vote accepted

You have two different versions of PHP installed, judging by this and your other question. You should remove one of them.

share|improve this answer
    
AH! That must be it! The fact that phpMyAdmin runs on Kloxo's version of PHP (lxphp is for Kloxo, whereas PHP is for the normal Apache server). I did not realise it till you pointed it. –  Hosh Sadiq Jul 30 '12 at 1:08

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.